Azure
action AKS

# stop_node

Stop a node at random from a managed Azure Kubernetes Service

Run it now
View details

Type | action
Module | chaosazure.aks.actions
Name | stop_node
Return | None

Usage

JSON

    {
      "name": "stop-node",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosazure.aks.actions",
        "func": "stop_node"
      }
    }

YAML

    name: stop-node
    provider:
      func: stop_node
      module: chaosazure.aks.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
filter | string | null | No | Filter | Target filter selector

If the filter is omitted all AKS in the subscription will be selected as potential chaos candidates.

Filtering example: `'where resourceGroup=="myresourcegroup" and name="myresourcename"'`

Signature

    def stop_node(filter: str = None,
                  configuration: Dict[str, Dict[str, str]] = None,
                  secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Azure
  action AKS

  ## `delete_node`

  Delete a node at random from a managed Azure Kubernetes Service
- Azure
  action AKS

  ## `restart_node`

  Restart a node at random from a managed Azure Kubernetes Service
- Azure
  action Machine

  ## `network_latency`

  Increases the response time of the virtual machine